.form-error {
  .form-input {
    @include themify($themes) {
      border-color: themed('error');
    }
  }

  &.form-group-input {
    @include themify($themes) {
      border: 1px solid themed('error');
    }
    padding-left: map-get($spacing, 'mobile-small');
    padding-right: map-get($spacing, 'mobile-small');
  }

  &.form-input-select-wrapper {
    .form-input-select {
      @include themify($themes) {
        border-color: themed('error');
      }
    }

    i {
      @include themify($themes) {
        color: themed('error');
      }
    }
  }
}

.alert {
  @include themify($themes) {
    color: themed('error');
  }
  display: flex;
  padding-bottom: map-get($spacing, 'desktop-small');
  text-align: left;

  .kc-feedback-text {
    display: inline-block;
    margin-left: map-get($spacing, 'desktop-small');
    margin-top: -.2rem;
  }
}

.form-input-error-block {
  padding: 0 map-get($spacing, 'mobile-half');
  width: 100%;

  .form-group & {
    margin-bottom: map-get($spacing, 'mobile-half');
    padding: 0;
  }
}

.form-input-error-list {
  @include themify($themes) {
    color: themed('error');
  }
  display: flex;
  flex-wrap: wrap;
  font-size: map-get($font-size, 'h6-small');
  text-align: left;
  width: 100%;
}

.form-input-error-item {
  margin: 0;
  width: 100%;

  &:first-of-type {
    &:not(.form-group) & {
      padding-top: map-get($spacing, 'desktop-half');
    }
  }

  &:not(:last-of-type) {
    padding-bottom: map-get($spacing, 'mobile-small');
  }

  i {
    margin-right: map-get($spacing, 'mobile-small');
  }
}
